>From 71f0180454a3749208c882295ce42092e1b0fb2f Mon Sep 17 00:00:00 2001
From: Joseph Tulou <brezhoneg1@yahoo.fr>
Date: Wed, 28 Jan 2009 12:04:13 +0100
Subject: [PATCH] scaling toggle support for sdl

---
 modules/video_output/sdl.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

diff --git a/modules/video_output/sdl.c b/modules/video_output/sdl.c
index 187e539..8f5467d 100644
--- a/modules/video_output/sdl.c
+++ b/modules/video_output/sdl.c
@@ -596,6 +596,17 @@ static int Manage( vout_thread_t *p_vout )
         p_vout->i_changes |= VOUT_SIZE_CHANGE;
     }
 
+    /* toggle scaling/no scaling */
+    if( p_vout->i_changes & VOUT_SCALE_CHANGE )
+    {
+        p_vout->i_changes &= ~VOUT_SCALE_CHANGE;
+
+        p_vout->b_scale = var_GetBool( p_vout, "scaling" );
+
+        p_vout->i_changes |= VOUT_SIZE_CHANGE;
+    }
+
+
     /* Size change */
     if( p_vout->i_changes & VOUT_SIZE_CHANGE )
     {
-- 
1.5.2.5

